--- old/usr/src/cmd/zlogin/zlogin.c	Mon Mar 25 12:53:26 2013
+++ new/usr/src/cmd/zlogin/zlogin.c	Mon Mar 25 12:53:27 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -88,6 +90,12 @@
 #include <auth_attr.h>
 #include <secdb.h>
 
+#ifdef	LOGNAME_MAX_ILLUMOS
+#define	_LOGNAME_MAX	LOGNAME_MAX_ILLUMOS
+#else /* LOGNAME_MAX_ILLUMOS */
+#define	_LOGNAME_MAX	LOGNAME_MAX
+#endif /* LOGNAME_MAX_ILLUMOS */
+
 static int masterfd;
 static struct termios save_termios;
 static struct termios effective_termios;
@@ -1240,7 +1248,7 @@
 	char **new_env;
 	int e, i;
 	char *estr;
-	char varmail[LOGNAME_MAX + 11]; /* strlen(/var/mail/) = 10, NUL */
+	char varmail[_LOGNAME_MAX + 11]; /* strlen(/var/mail/) = 10, NUL */
 	char pwbuf[NSS_BUFLEN_PASSWD + 1];
 	struct passwd pwent;
 	struct passwd *pw = NULL;
